<template>
  <div class="row box-height-resume">
    <div class="col-sm-3 box-left">
      <div class="row">
        <div class="col-sm-12" style="text-align: center">
          <img src="/images/plak2.jpg" class="img-profile" />
        </div>
        <div class="col-sm-12" style="text-align: center; padding-top: 0px">
          <span class="text-name">Jirawat Yookhong</span>
          <p>Front end Developer</p>
        </div>
        <div class="col-sm-12" style="padding-top: 0px">
          <span style="font-size: 18px; padding-bottom: 0px; font-weight: bold"
            >SKILLS</span
          >
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>HTML5 & CSS</span>
          <div class="progress">
            <div class="progress-bar" style="width: 100%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Bootstrap4</span>
          <div class="progress">
            <div class="progress-bar" style="width: 100%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Material UI</span>
          <div class="progress">
            <div class="progress-bar" style="width: 90%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Javascript</span>
          <div class="progress">
            <div class="progress-bar" style="width: 80%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>ReactJS, NextJS</span>
          <div class="progress">
            <div class="progress-bar" style="width: 70%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Ionic Framework</span>
          <div class="progress">
            <div class="progress-bar" style="width: 50%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Meteor & MongoDB</span>
          <div class="progress">
            <div class="progress-bar" style="width: 90%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>GraphQL & Hasura</span>
          <div class="progress">
            <div class="progress-bar" style="width: 80%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>Git</span>
          <div class="progress">
            <div class="progress-bar" style="width: 90%"></div>
          </div>
        </div>
        <div class="col-sm-12 progrss-skill">
          <span>State Machine</span>
          <div class="progress">
            <div class="progress-bar" style="width: 80%"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-5 box-center">
      <div class="row box-detail-height">
        <div class="col-sm-12 text-title">
          <span>ABOUNT ME</span>
        </div>
        <div class="col-sm-6" style="padding-top: 0px">
          <p>Age: 26</p>
          <p>Date of birth: 30/06/1994</p>
          <p>Nationality: Thai</p>
        </div>
        <div class="col-sm-6" style="padding-top: 0px">
          <p>Religion: Buddhism</p>
          <p>Height: 172 cm</p>
          <p>Weight: 78 Kg</p>
        </div>
      </div>
      <div class="row box-detail-height">
        <div class="col-sm-12 text-title">
          <span>CAREER OBJECTIVE</span>
        </div>
        <div class="col-sm-12" style="padding-top: 0px">
          <span
            >Looking for self-improvement By learning new things, experiences,
            and teamwork from the organization, while applying the capabilities
            that Develop the work to have quality In order to make the
            organization grow even more
          </span>
        </div>
      </div>
      <div class="row box-detail-height" style="border-bottom: none">
        <div class="col-sm-12 text-title">
          <span>EXPERIENCE</span>
        </div>
        <div class="col-sm-3" style="padding-top: 0px">
          <span>2021</span>
        </div>
        <div class="col-sm-9" style="padding-top: 0px">
          <span>Linxwork Co., Ltd.,</span>
          <p>Application Software Developer</p>
        </div>
      </div>
    </div>
    <div class="col-sm-4 box-right">
      <div class="row box-detail-height">
        <div class="col-sm-12 text-title">
          <span>CONTACT</span>
        </div>
        <div class="col-sm-12">
          <div class="row contact-detail">
            <div class="col-sm-2">
              <span class="mdi mdi-home-outline" style="font-size: 25px"></span>
            </div>
            <div class="col-sm-10">
              <span
                >2 Pibulsongkram Road, Suan Yai Sub- district, Muang District,
                Nonthaburi, 11000.</span
              >
            </div>
          </div>
          <div class="row contact-detail" style="margin-top: 0px">
            <div class="col-sm-2">
              <span
                class="mdi mdi-cellphone-iphone"
                style="font-size: 25px"
              ></span>
            </div>
            <div class="col-sm-10">
              <span>0871141601</span>
            </div>
          </div>
          <div class="row contact-detail" style="margin-top: 0px">
            <div class="col-sm-2">
              <span
                class="mdi mdi-email-outline"
                style="font-size: 25px"
              ></span>
            </div>
            <div class="col-sm-10">
              <span>work.jirawatplak@gmail.com</span>
            </div>
          </div>
        </div>
      </div>
      <div class="row box-detail-height">
        <div class="col-sm-12 text-title">
          <span>EDUCATION</span>
        </div>
        <div class="col-sm-3" style="padding-top: 0px">
          <span>2015</span>
        </div>
        <div class="col-sm-9" style="padding-top: 0px">
          <span>Rajamangala university of technology phra nakhon.</span>
          <p>Computer Engineering</p>
        </div>
        <div class="col-sm-3" style="padding-top: 0px">
          <span>2009</span>
        </div>
        <div class="col-sm-9" style="padding-top: 0px">
          <span>Phraramhok Technology School.</span>
          <p>Electronic</p>
        </div>
      </div>
      <div
        class="row box-detail-height"
        style="border-bottom: none; text-align: center"
      >
        <div class="col-sm-12 text-title">
          <span>INTERESTS</span>
        </div>
        <div class="col-sm-4">
          <div class="row interests-box">
            <div class="col-sm-12">
              <span class="mdi mdi-badminton"></span>
            </div>
            <div class="col-sm-12">
              <span>Badminton</span>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="row interests-box">
            <div class="col-sm-12">
              <span class="mdi mdi-run"></span>
            </div>
            <div class="col-sm-12">
              <span>Running</span>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="row interests-box">
            <div class="col-sm-12">
              <span class="mdi mdi-dumbbell"></span>
            </div>
            <div class="col-sm-12">
              <span>Fitness</span>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="row interests-box">
            <div class="col-sm-12">
              <span class="mdi mdi-movie"></span>
            </div>
            <div class="col-sm-12">
              <span>Movie</span>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="row interests-box">
            <div class="col-sm-12">
              <span class="mdi mdi-gamepad-square"></span>
            </div>
            <div class="col-sm-12">
              <span>Game Online</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style>
.box-height-resume {
  height: calc(100vh - 100px);
  padding: 60px;
  max-height: calc(100vh - 100px);
  background-image: url("static/images/wood2.jpg");
  background-size: 100% 100%;
  background-position: center;
}

.box-left {
  background: rgb(0 0 0 / 50%);
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  box-shadow: 0 10px 0px 0px rgb(0 0 0 / 20%), 0 6px 0px 0 rgb(0 0 0 / 19%) !important;
}

.box-center {
  background: #f7f8fa;
  box-shadow: 0 10px 0px 0px rgb(0 0 0 / 20%), 0 6px 0px 0 rgb(0 0 0 / 19%) !important;
  color: #333;
  border-right: 1px solid #e1e4e8;
}

.box-right {
  background-image: url("static/images/paper.jpg");
  background-size: 100% 100%;
  background-position: center;
  /* background: #f9f9f9; */
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  color: #333;
  box-shadow: 0 10px 0px 0px rgb(0 0 0 / 20%), 0 6px 0px 0 rgb(0 0 0 / 19%) !important;
}

.img-profile {
  width: 50%;
  border-radius: 50%;
}

* {
  font-size: 14px;
}

.text-title {
  padding-bottom: 0px;
  text-align: left;
}

.text-title span {
  font-size: 18px;
  padding-bottom: 0px;
  border-bottom: 2px solid;
  font-weight: bold;
}

.box-detail-height {
  height: 33%;
  border-bottom: 1px solid #e1e4e8;
}

.progrss-skill {
  padding: 0px 40px 10px 40px;
}

.progrss-skill .progress {
  height: 5px;
  width: 100%;
}

.text-name {
  font-size: 30px;
  border-bottom: 2px solid;
  font-weight: bold;
}

.v-application.v-application--is-ltr.theme--dark {
  background-image: none;
}

.interests-box .col-sm-12 {
  padding-bottom: 0px;
}

.interests-box .col-sm-12:last-child {
  padding-top: 0px;
}

.interests-box .mdi {
  font-size: 40px;
}

.contact-detail .col-sm-10 {
  padding-top: 12px;
}

@media only screen and (max-width: 580px) {
  .text-title {
    padding-bottom: 10px;
  }

  .box-detail-height {
    height: auto;
  }

  .box-left {
    border-bottom-left-radius: 0px;
    border-top-right-radius: 25px;
    padding-bottom: 30px;
  }

  .box-right {
    border-top-right-radius: 0px;
    border-bottom-left-radius: 25px;
  }

  .box-center {
    border-right: none;
  }

  .v-application.v-application--is-ltr.theme--dark {
    background-image: url("static/images/wood2.jpg");
    background-size: 100% 100%;
    background-position: center;
  }

  .contact-detail .col-sm-2 {
    padding-bottom: 0px;
  }

  .contact-detail .col-sm-10 {
    padding-top: 0px;
  }
}

@media only screen and (max-width: 780px) {
  .box-detail-height {
    height: auto;
  }
}
</style>
